# TiXmlAttribute Class Reference

Inheritance diagram for TiXmlAttribute:

[legend]
Collaboration diagram for TiXmlAttribute:

[legend]
List of all members.

## Public Member Functions

| TiXmlAttribute ()
| Construct an empty attribute.
| TiXmlAttribute (const char *_name, const char *_value)
| Construct an attribute with a name and value.
const char * | Name () const
| Return the name of this attribute.
const char * | Value () const
| Return the value of this attribute.
const int | IntValue () const
| Return the value of this attribute, converted to an integer.
const double | DoubleValue () const
| Return the value of this attribute, converted to a double.
int | QueryIntValue (int *value) const
int | QueryDoubleValue (double *value) const
| QueryDoubleValue examines the value string. See QueryIntValue().
void | SetName (const char *_name)
| Set the name of this attribute.
void | SetValue (const char *_value)
| Set the value.
void | SetIntValue (int value)
| Set the value from an integer.
void | SetDoubleValue (double value)
| Set the value from a double.
const TiXmlAttribute * | Next () const
| Get the next sibling attribute in the DOM. Returns null at end.
TiXmlAttribute * | Next ()
const TiXmlAttribute * | Previous () const
| Get the previous sibling attribute in the DOM. Returns null at beginning.
TiXmlAttribute * | Previous ()
bool | operator== (const TiXmlAttribute &rhs) const
bool | operator< (const TiXmlAttribute &rhs) const
bool | operator> (const TiXmlAttribute &rhs) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual void | Print (FILE *cfile, int depth) const
virtual void | StreamOut (TIXML_OSTREAM *out) const
void | SetDocument (TiXmlDocument *doc)

## Friends

class | TiXmlAttributeSet

## Detailed Description

An attribute is a name-value pair. Elements have an arbitrary number of attributes, each with a unique name.

Note:
  The attributes are not TiXmlNodes, since they are not part of the tinyXML document object model. There are other suggested ways to look at this problem.

## Member Function Documentation

void TiXmlAttribute::Print | ( | FILE * | cfile,
|  | int | depth
| ) | const`[virtual]`

| All TinyXml classes can print themselves to a filestream. This is a formatted print, and will insert tabs and newlines. (For an unformatted stream, use the << operator.) Implements TiXmlBase.

int TiXmlAttribute::QueryIntValue | ( | int * | value | ) | const

| QueryIntValue examines the value string. It is an alternative to the IntValue() method with richer error checking. If the value is an integer, it is stored in 'value' and the call returns TIXML_SUCCESS. If it is not an integer, it returns TIXML_WRONG_TYPE. A specialized but useful call. Note that for success it returns 0, which is the opposite of almost all other TinyXml calls.